rpm: String Manipulation API.

rpm 4.13.0

Files | Functions
String Manipulation API.

## Files
file | rpmstring.h
| String manipulation helper functions.

## Functions
static RPM_GNUC_CONST int | rislower (int c)
| Locale insensitive islower(3) More...
static RPM_GNUC_CONST int | risupper (int c)
| Locale insensitive isupper(3) More...
static RPM_GNUC_CONST int | risalpha (int c)
| Locale insensitive isalpha(3) More...
static RPM_GNUC_CONST int | risdigit (int c)
| Locale insensitive isdigit(3) More...
static RPM_GNUC_CONST int | risalnum (int c)
| Locale insensitive isalnum(3) More...
static RPM_GNUC_CONST int | risblank (int c)
| Locale insensitive isblank(3) More...
static RPM_GNUC_CONST int | risspace (int c)
| Locale insensitive isspace(3) More...
static RPM_GNUC_CONST int | rtolower (int c)
| Locale insensitive tolower(3) More...
static RPM_GNUC_CONST int | rtoupper (int c)
| Locale insensitive toupper(3) More...
RPM_GNUC_PURE int | rstrcasecmp (const char *s1, const char *s2)
| Locale insensitive strcasecmp(3). More...
RPM_GNUC_PURE int | rstrncasecmp (const char *s1, const char *s2, size_t n)
| Locale insensitive strncasecmp(3). More...
int | rasprintf (char **strp, const char *fmt,...) RPM_GNUC_PRINTF(2
| asprintf() clone More...
int char * | rstrcat (char **dest, const char *src)
| Concatenate two strings with dynamically (re)allocated memory. More...
char * | rstrscat (char **dest, const char *arg,...) RPM_GNUC_NULL_TERMINATED
| Concatenate multiple strings with dynamically (re)allocated memory. More...
size_t | rstrlcpy (char *dest, const char *src, size_t n)
| strlcpy() clone: Copy src to string dest of size n. More...
RPM_GNUC_PURE unsigned int | rstrhash (const char *string)
| String hashing function. More...

## Detailed Description

## Function Documentation

## ◆ rasprintf()

int rasprintf | ( | char ** | strp,
|  | const char * | fmt,
|  |  | ...
| ) |  |

asprintf() clone

Referenced by rstreqn().

## ◆ risalnum()

static RPM_GNUC_CONST int risalnum | ( | int | c | ) |
| inlinestatic

Locale insensitive isalnum(3)

Definition at line 54 of file rpmstring.h.

References risalpha(), risdigit(), and RPM_GNUC_CONST.

## ◆ risalpha()

static RPM_GNUC_CONST int risalpha | ( | int | c | ) |
| inlinestatic

Locale insensitive isalpha(3)

Definition at line 38 of file rpmstring.h.

References rislower(), risupper(), and RPM_GNUC_CONST.

Referenced by risalnum().

## ◆ risblank()

static RPM_GNUC_CONST int risblank | ( | int | c | ) |
| inlinestatic

Locale insensitive isblank(3)

Definition at line 62 of file rpmstring.h.

References RPM_GNUC_CONST.

Referenced by risspace().

## ◆ risdigit()

static RPM_GNUC_CONST int risdigit | ( | int | c | ) |
| inlinestatic

Locale insensitive isdigit(3)

Definition at line 46 of file rpmstring.h.

References RPM_GNUC_CONST.

Referenced by risalnum().

## ◆ rislower()

static RPM_GNUC_CONST int rislower | ( | int | c | ) |
| inlinestatic

Locale insensitive islower(3)

Definition at line 22 of file rpmstring.h.

References RPM_GNUC_CONST.

Referenced by risalpha(), and rtoupper().

## ◆ risspace()

static RPM_GNUC_CONST int risspace | ( | int | c | ) |
| inlinestatic

Locale insensitive isspace(3)

Definition at line 70 of file rpmstring.h.

References risblank(), and RPM_GNUC_CONST.

## ◆ risupper()

static RPM_GNUC_CONST int risupper | ( | int | c | ) |
| inlinestatic

Locale insensitive isupper(3)

Definition at line 30 of file rpmstring.h.

References RPM_GNUC_CONST.

Referenced by risalpha(), and rtolower().

## ◆ rstrcasecmp()

RPM_GNUC_PURE int rstrcasecmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |

Locale insensitive strcasecmp(3).

Referenced by rstreqn().

## ◆ rstrcat()

int char* rstrcat | ( | char ** | dest,
|  | const char * | src
| ) |  |

Concatenate two strings with dynamically (re)allocated memory.

Parameters

  dest | pointer to destination string
  src | source string

Returns
  realloc'd dest with src appended

Referenced by rstreqn().

## ◆ rstrhash()

RPM_GNUC_PURE unsigned int rstrhash | ( | const char * | string | ) |

String hashing function.

Parameters

  string | string to hash

Returns
  hash id

Referenced by rstreqn().

## ◆ rstrlcpy()

size_t rstrlcpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |

strlcpy() clone: Copy src to string dest of size n.

At most n-1 characters will be copied. Always zero-terminates (unless n == 0). Length of src is returned; if retval >= n, truncation occurred.

Parameters

  dest | destination buffer
  src | string to copy
  n | destination buffer size

Returns
  length of src string

Referenced by rstreqn().

## ◆ rstrncasecmp()

RPM_GNUC_PURE int rstrncasecmp | ( | const char * | s1,
|  | const char * | s2,
|  | size_t | n
| ) |  |

Locale insensitive strncasecmp(3).

Referenced by rstreqn().

## ◆ rstrscat()

char* rstrscat | ( | char ** | dest,
|  | const char * | arg,
|  |  | ...
| ) |  |

Concatenate multiple strings with dynamically (re)allocated memory.

Parameters

  dest | pointer to destination string
  arg | NULL terminated list of strings to concatenate

Returns
  realloc'd dest with strings appended

Referenced by rstreqn().

## ◆ rtolower()

static RPM_GNUC_CONST int rtolower | ( | int | c | ) |
| inlinestatic

Locale insensitive tolower(3)

Definition at line 78 of file rpmstring.h.

References risupper(), and RPM_GNUC_CONST.

## ◆ rtoupper()

static RPM_GNUC_CONST int rtoupper | ( | int | c | ) |
| inlinestatic

Locale insensitive toupper(3)

Definition at line 86 of file rpmstring.h.

References rislower(), and RPM_GNUC_CONST.